/****************************************************************************
cdata.h - Prototypes for functions to process commented data files

Author:  Paul Hughett

Copyright (c) 1999-2001 Trustees of the University of Pennsylvania
See the file COPYING for license terms.

This public header file contains prototypes for various functions used
within bblimage to process commented data files (but probably useful
elsewhere as well).


$Id: cdata.h,v 1.5 2003/10/04 18:10:48 hughett Exp $  $Name: pyvox-0-72 $
****************************************************************************/


#ifndef CDATA_H
#define CDATA_H

#include <stdio.h>

#ifdef __cplusplus          /* Allow to be called from C++ */
extern "C" {
#endif

extern int  cdata_read(FILE *input, char **dat[], char **cmt[]);
extern void cdata_free(int  ndat, char *dat[], char *cmt[]);
extern void cdata_write(FILE *stream, int ndat, char *dat[], char *cmt[]);
extern void cdata_print(FILE *stream, int ndat, char *dat[], char *cmt[]);
extern void cdata_decomment(FILE *stream, int ndat, char *dat[], char *cmt[]);

#ifdef __cplusplus
}
#endif

#endif /* CDATA_H */
