/****************************************************************************
memm.h - Prototypes for memory management functions

Author:  Paul Hughett

Copyright (c) 1998-2002 Trustees of the University of Pennsylvania
See the file COPYING for license terms.

This public header file contains prototypes for various memory management
functions used within bblimage (but probably useful elsewhere as well).

$Id: memm.h,v 1.6 2003/10/04 18:10:49 hughett Exp $  $Name: pyvox-0-72 $
****************************************************************************/


#ifndef MEMM_H
#define MEMM_H

#include <stddef.h>

#ifdef __cplusplus          /* Allow to be called from C++ */
extern "C" {
#endif

extern void *callock (size_t nelem, size_t elsize);
extern void *mallock (size_t size);
extern void *reallock(void *ptr, size_t size);


#ifdef __cplusplus
}
#endif

#endif  /* MEMM_H */
