/****************************************************************************
rand.h - Declarations for rand.c, random number generators

Author:  Paul Hughett

Copyright (c) 1998-2003 Trustees of the University of Pennsylvania
See the file COPYING for license terms.


$Id: rand.h,v 1.6 2004/02/14 20:33:28 hughett Exp $  $Name: pyvox-0-72 $
****************************************************************************/

#ifndef RAND_H
#define RAND_H

#ifdef __cplusplus          /* Allow to be called from C++ */
extern "C" {
#endif

#define RAN1_MAX 2147483646     /* Max value of ran1_long; min is 1, not 0 */

extern void  *ran1_init  (long seed);
extern void   ran1_free  (void *state);
extern long   ran1_long  (void *state);
extern int    ran1_choose(void *state, int n);
extern float  ran1_float (void *state);
extern double ran1_double(void *state);
extern void ran1_choose_array(long nelem, int *dst, long ds, void *state, 
    int n);
extern void ran1_double_array(long nelem, double *dst, long ds, void *state);
extern void ran1_normal_array(long nelem, double *dst, long ds, void *state);


#ifdef __cplusplus
}
#endif

#endif /* RAND_H */
