/****************************************************************************
eximC.c - Python extension module for the data export/import toolkit

Author:  Paul Hughett

Copyright (c) 2005 Trustees of the University of Pennsylvania
See the file COPYING for license terms.

This file contains the function called from Python to initialize the exim
extension module, but it delegates all the real work to pyexim.c
*****************************************************************************/

static const char rcsid[] = "$Id: eximC.c,v 1.2 2005/10/06 17:15:36 hughett Exp $ Release $Name: pyvox-0-72 $";

#include "config.h"

#include "Python.h"
#include "voxel.h"
#include "pyvox.h"


/* Stop gcc from grumbling about missing prototypes */
void initexim(void);


/*---------------------------------------------------------------------------
initexim - Initialize the exim module

The exim and pyvoxC modules need to share their internals, so this function
is the public face to be called directly by Python but delegates all the
real work to an initializer in a shared library of the common internals.
---------------------------------------------------------------------------*/

void
initexim(void)
{
    myinitexim();
    return;
}
