/****************************************************************************
pyvoxC.c - Python extension module for the image processing toolkit

Author:  Paul Hughett

Copyright (c) 2005 Trustees of the University of Pennsylvania
See the file COPYING for license terms.

This file contains the function called from Python to initialize the pyvoxC
extension module, but it delegates all the real work to pyvox.c
*****************************************************************************/

static const char rcsid[] = "$Id: pyvoxC.c,v 1.2 2005/10/06 17:15:37 hughett Exp $ Release $Name: pyvox-0-72 $";

#include "config.h"

#include "Python.h"
#include "voxel.h"
#include "pyvox.h"


/* Stop gcc from grumbling about missing prototypes */
void initpyvoxC(void);


/*---------------------------------------------------------------------------
initpyvoxC - Initialize the pyvoxC module

The exim and pyvoxC modules need to share their internals, so this function
is the public face to be called directly by Python but delegates all the
real work to an initializer in a shared library of common internals.
---------------------------------------------------------------------------*/

void
initpyvoxC(void)
{
    myinitpyvoxC();
    return;
}
