/****************************************************************************
test_xlamch - Report floating-point parameters returned by xLAMCH

This function calls the LAPACK functions xLAMCH, which compute various
characteristics of the platform floating-point algorithms, and reports
them on standard output.

FIXME: This code assumes that a Fortran double equals a C double, and a
Fortran real equals a C float.
*****************************************************************************/

#include <stdio.h>


double dlamch_(char *cmach);
double slamch_(char *cmach);

int main(int argc, char *argv[])
{
    printf("\nSingle precision:\n");
    printf("   epsilon  = %25.16e\n", slamch_("E"));
    printf("   sfmin    = %25.16e\n", slamch_("S"));
    printf("   base     = %6.0f\n",   slamch_("B"));
    printf("   eps*base = %25.16e\n", slamch_("P"));
    printf("   t        = %6.0f\n",   slamch_("N"));
    printf("   rnd      = %6.0f\n",   slamch_("R"));
    printf("   emin     = %6.0f\n",   slamch_("M"));
    printf("   rmin     = %25.16e\n", slamch_("U"));
    printf("   emax     = %6.0f\n",   slamch_("L"));
    printf("   rmax     = %25.16e\n", slamch_("O"));

    printf("\nDouble precision:\n");
    printf("   epsilon  = %25.16e\n", dlamch_("E"));
    printf("   sfmin    = %25.16e\n", dlamch_("S"));
    printf("   base     = %6.0f\n",   dlamch_("B"));
    printf("   eps*base = %25.16e\n", dlamch_("P"));
    printf("   t        = %6.0f\n",   dlamch_("N"));
    printf("   rnd      = %6.0f\n",   dlamch_("R"));
    printf("   emin     = %6.0f\n",   dlamch_("M"));
    printf("   rmin     = %25.16e\n", dlamch_("U"));
    printf("   emax     = %6.0f\n",   dlamch_("L"));
    printf("   rmax     = %25.16e\n", dlamch_("O"));

    return 0;
}
